Skip to main content
`Ctrl`+`K`

# PetscDualSpaceLagrangeSetMomentOrder

Set the order for moment integration

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceLagrangeSetMomentOrder(PetscDualSpace sp, PetscInt order)

Logically Collective

## Input Parameters

- sp - The `PetscDualSpace`

- order - The order for moment integration

## See Also

`PETSCDUALSPACELAGRANGE`, `PetscDualSpace`, `PetscDualSpaceLagrangeGetMomentOrder()`

## Level

advanced

## Location

src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c

## Implementations

PetscDualSpaceLagrangeSetMomentOrder_Lagrange() in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceLagrangeSetMomentOrder_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages